Page MenuHomePhabricator

Editing paragraphs - non-js version (No.7)
Closed, ResolvedPublic5 Story Points

Description

Acceptance criteria

  • All text boxes are editors without toolbars. The font is wikitext style like
  • There are no buttons within the editor boxes
  • The unchanged text should also editable

Added after first design review

  • The headers in the non-js version are not colored

Mock for the text font

Event Timeline

Lea_WMDE created this task.Jul 5 2018, 8:32 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 5 2018, 8:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-Fisch set the point value for this task to 5.Jul 5 2018, 8:34 AM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-08-14 board.
WMDE-Fisch updated the task description. (Show Details)Aug 16 2018, 12:34 PM

Since non-js users don't get colored word based diffs, the background colors in the headers should also be removed.

Change 453138 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Make paragraphs editable for non-js users

https://gerrit.wikimedia.org/r/453138

Change 454056 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Track newlines between paragraphs separately

https://gerrit.wikimedia.org/r/454056

Change 453138 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Make paragraphs editable for non-js users

https://gerrit.wikimedia.org/r/453138

Lea_WMDE closed this task as Resolved.Aug 29 2018, 8:59 AM